<ActionBar>
    <Label text="Editar Categoría"></Label>

</ActionBar>


<StackLayout backgroundColor="#DAF7A6">
    <Label textAlignment="center" text="Editar Categoría" class="fas titul_big"></Label>
    <GridLayout columns="auto, *" rows="auto, auto, auto, auto, auto" width="90%">
        <TextField [text]='id' row="0" col="0" class="fas" colSpan="2" color="orangered" editable= "false"></TextField>
        <Label text="Nombre: " row="1" col="0" class="fas" color></Label>
        <TextField [text]='nombre_cat' maxLength="100" row="1" col="1" class="fas" color="orangered" (textChange)="inputChange($event, 'nombre_cat')"></TextField>
        <Label text="Descripción: " row="2" col="0" class="fas"></Label>
        <TextField [text]='desc' row="2" col="1" class="fas"color="orangered" (textChange)="inputChange($event, 'desc')"></TextField>

        <Button [text]="boton" class="fas" row="3" col="0" colSpan="2" (tap)="operar()"></Button>
        <Button text="&#xf060;  Cancelar" class="fas" row="4" col="0" colSpan="2" [nsRouterLink]="['/categorias']"></Button>
    </GridLayout>

</StackLayout>
